# Update a Resource Group

Updates a Resource Group from Organization scope.

Endpoint: PUT /v1/orgs/{org}/resource-groups/{resource-group}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `resource-group` (string, required)
    Resource Group identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `identifier` (string, required)
    Resource Group identifier

  - `name` (string, required)
    Resource Group name

  - `color` (string)
    Color associated with the Resource Group.

  - `tags` (object)
    Resource Group tags

  - `description` (string)
    Resource Group description

  - `included_scope` (array)
    Included scopes for the resources belonging to the Resource Group.

  - `included_scope.filter` (string, required)
    Including or Excluding Child scopes.
    Enum: "EXCLUDING_CHILD_SCOPES", "INCLUDING_CHILD_SCOPES"

  - `included_scope.account` (string)
    Account identifier

  - `included_scope.org` (string)
    Organization identifier

  - `included_scope.project` (string)
    Project identifier

  - `resource_filter` (array)
    Specifies the actual resources present in the Resource Group.

  - `resource_filter.resource_type` (string, required)
    Specifies the type of Resource.

  - `resource_filter.identifiers` (array)
    Identifiers for the Resource Type.

  - `resource_filter.attribute_name` (string)
    Attribute name on the basis of which filtering will be done.

  - `resource_filter.attribute_values` (array)
    Attribute values selected.

  - `include_all_resources` (boolean)
    Boolean value for including all resources in Resource Group.

## Response 200 fields (application/json):

  - `identifier` (string, required)
    Resource Group Identifier

  - `name` (string, required)
    Resource Group Name

  - `color` (string)
    Color associated with the Resource Group.

  - `tags` (object)
    Resource Group tags

  - `description` (string)
    Resource Group description

  - `allowed_scope_levels` (array)
    Allowed scope levels for this Resource Group.
    Enum: "account", "organization", "project"

  - `included_scope` (array)
    Included scopes for the resources belonging to the Resource Group.

  - `resource_filter` (array)
    Specifies the actual resources present in the Resource Group.

  - `include_all_resources` (boolean)
    Boolean value for including all resources in Resource Group.

  - `harness_managed` (boolean)
    This indicates if this Resource Group is managed by Harness or not. If true, Harness can manage and modify this Resource Group.

  - `created` (integer)
    Creation timestamp for Resource Group.

  - `updated` (integer)
    Last modification timestamp for Resource Group.


